com.r3corda.demos.protocols / ExitServerProtocol / Broadcast

# Broadcast

`class Broadcast : ProtocolLogic<Boolean>`

This takes a Java Integer rather than Kotlin Int as that is what we end up with in the calling map and currently we do not support coercing numeric types in the reflective search for matching constructors

### Constructors

<init> | `Broadcast(exitCode: Integer)` This takes a Java Integer rather than Kotlin Int as that is what we end up with in the calling map and currently we do not support coercing numeric types in the reflective search for matching constructors

### Properties

exitCode | `val exitCode: Integer`

### Inherited Properties

logger | `val logger: <ERROR CLASS>` This is where you should log things to.
progressTracker | `open val progressTracker: ProgressTracker?` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.
psm | `lateinit var psm: ProtocolStateMachine<*>` Reference to the Fiber instance that is the top level controller for the entire flow.
serviceHub | `val serviceHub: ServiceHub` Provides access to big, heavy classes that may be reconstructed from time to time, e.g. across restarts. It is only available once the protocol has started, which means it cannnot be accessed in the constructor. Either access this lazily or from inside call.

### Functions

call | `fun call(): Boolean` This is where you fill out your business logic.

### Inherited Functions

receive | `fun <T : Any> receive(topic: String, sessionIDForReceive: Long): UntrustworthyData<T>` `fun <T : Any> receive(topic: String, sessionIDForReceive: Long, clazz: Class<T>): UntrustworthyData<T>`
send | `fun send(topic: String, destination: Party, sessionID: Long, payload: Any): Unit`
sendAndReceive | `fun <T : Any> sendAndReceive(topic: String, destination: Party, sessionIDForSend: Long, sessionIDForReceive: Long, payload: Any): UntrustworthyData<T>`
subProtocol | `fun <R> subProtocol(subLogic: ProtocolLogic<R>): R` Invokes the given subprotocol by simply passing through this ProtocolLogics reference to the ProtocolStateMachine and then calling the call method.